SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'PRC_FILIAL' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS PR
		WHERE 
			NAME = 'CONTRIBUINTE'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'PRC_FILIAL' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE DBO.PRC_FILIAL ADD CONTRIBUINTE INT NULL

		END
	SET NOCOUNT OFF
	PRINT 'CONTRIBUINTE NA TABELA PRC_FILIAL INSERIDO COM SUCESSO '
END
